package com.yijia.station.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 油枪管理对象 station_oil_gun
 * 
 * @author yijia
 * @date 2020-12-09
 */
public class StationOilGun extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 油枪主键自增id */
    private Long oilGunId;

    /** 油枪号 */
    @Excel(name = "油枪号")
    private String oilGunNo;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 油枪状态（） */
    @Excel(name = "油枪状态", readConverterExp = "油枪状态（）")
    private String status;

    public void setOilGunId(Long oilGunId) 
    {
        this.oilGunId = oilGunId;
    }

    public Long getOilGunId() 
    {
        return oilGunId;
    }
    public void setOilGunNo(String oilGunNo) 
    {
        this.oilGunNo = oilGunNo;
    }

    public String getOilGunNo() 
    {
        return oilGunNo;
    }
    public void setOilName(String oilName) 
    {
        this.oilName = oilName;
    }

    public String getOilName() 
    {
        return oilName;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("oilGunId", getOilGunId())
            .append("oilGunNo", getOilGunNo())
            .append("oilName", getOilName())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("date", getDate())
            .append("status", getStatus())
            .toString();
    }
}
